DELETE api/Email?state={state}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| state | boolean |
Required |
Body Parameters
DeleteOrRestore| Name | Description | Type | Additional information |
|---|---|---|---|
| ids | Collection of globally unique identifier |
None. |
|
| state | boolean |
None. |
|
| deleted | boolean |
Required |
|
| system_information | SystemInformation |
None. |
Request Formats
application/json, text/json
Sample:
{
"ids": [
"db53d730-1d55-4c3c-b0ea-06c40e1d7580",
"398f4266-5bda-4747-b95e-7b9903684983"
],
"state": true,
"deleted": true,
"system_information": {
"creation": {
"user": {
"full_name": "sample string 12 sample string 11",
"id": "19bae5fc-1fba-4f2c-8001-4c76b85b44e1",
"image_id": "e3b6fddd-4616-4633-b807-e55e45384aa5",
"id_user_work_position": "5583c6ac-9ad6-45f8-bd39-d13df8dc4c19",
"id_shift": "563abd43-86de-4f30-8d76-5c5eb78dfe45",
"code": "sample string 5",
"code2": "sample string 6",
"title": "sample string 9",
"introduction": "sample string 10",
"first_name": "sample string 11",
"last_name": "sample string 12"
},
"date": "2026-03-21T21:11:09Z"
},
"last_change": {
"user": {
"full_name": "sample string 12 sample string 11",
"id": "19bae5fc-1fba-4f2c-8001-4c76b85b44e1",
"image_id": "e3b6fddd-4616-4633-b807-e55e45384aa5",
"id_user_work_position": "5583c6ac-9ad6-45f8-bd39-d13df8dc4c19",
"id_shift": "563abd43-86de-4f30-8d76-5c5eb78dfe45",
"code": "sample string 5",
"code2": "sample string 6",
"title": "sample string 9",
"introduction": "sample string 10",
"first_name": "sample string 11",
"last_name": "sample string 12"
},
"date": "2026-03-21T21:11:09Z"
}
}
}
application/xml, text/xml
Sample:
<DeleteOrRestore xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/IO.Swagger.Models">
<deleted>true</deleted>
<ids xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>db53d730-1d55-4c3c-b0ea-06c40e1d7580</d2p1:guid>
<d2p1:guid>398f4266-5bda-4747-b95e-7b9903684983</d2p1:guid>
</ids>
<state>true</state>
<system_information>
<creation>
<date>2026-03-21T22:11:09.7928604+01:00</date>
<user>
<code>sample string 5</code>
<code2>sample string 6</code2>
<first_name>sample string 11</first_name>
<full_name>sample string 12 sample string 11</full_name>
<id>19bae5fc-1fba-4f2c-8001-4c76b85b44e1</id>
<id_shift>563abd43-86de-4f30-8d76-5c5eb78dfe45</id_shift>
<id_user_work_position>5583c6ac-9ad6-45f8-bd39-d13df8dc4c19</id_user_work_position>
<image_id>e3b6fddd-4616-4633-b807-e55e45384aa5</image_id>
<introduction>sample string 10</introduction>
<last_name>sample string 12</last_name>
<title>sample string 9</title>
</user>
</creation>
<last_change>
<date>2026-03-21T22:11:09.7928604+01:00</date>
<user>
<code>sample string 5</code>
<code2>sample string 6</code2>
<first_name>sample string 11</first_name>
<full_name>sample string 12 sample string 11</full_name>
<id>19bae5fc-1fba-4f2c-8001-4c76b85b44e1</id>
<id_shift>563abd43-86de-4f30-8d76-5c5eb78dfe45</id_shift>
<id_user_work_position>5583c6ac-9ad6-45f8-bd39-d13df8dc4c19</id_user_work_position>
<image_id>e3b6fddd-4616-4633-b807-e55e45384aa5</image_id>
<introduction>sample string 10</introduction>
<last_name>sample string 12</last_name>
<title>sample string 9</title>
</user>
</last_change>
</system_information>
</DeleteOrRestore>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Result| Name | Description | Type | Additional information |
|---|---|---|---|
| messages | Collection of ResultMessage |
None. |
|
| count_of_errors | integer |
None. |
|
| id | Object |
None. |
|
| name | string |
None. |
|
| data | Object |
None. |
|
| url | string |
None. |
|
| text | string |
None. |
|
| inner_exception | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"messages": [
{
"type": 1,
"code": 1,
"message": "sample string 1",
"field": "sample string 2"
},
{
"type": 1,
"code": 1,
"message": "sample string 1",
"field": "sample string 2"
}
],
"count_of_errors": 1,
"id": {},
"name": "sample string 3",
"data": {},
"url": "sample string 5",
"text": "sample string 6",
"inner_exception": "sample string 7"
}
application/xml, text/xml
Sample:
<Result xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/UP.Core.Data">
<count_of_errors>1</count_of_errors>
<data />
<id />
<inner_exception>sample string 7</inner_exception>
<messages>
<ResultMessage>
<code>1</code>
<field>sample string 2</field>
<message>sample string 1</message>
<type>1</type>
</ResultMessage>
<ResultMessage>
<code>1</code>
<field>sample string 2</field>
<message>sample string 1</message>
<type>1</type>
</ResultMessage>
</messages>
<name>sample string 3</name>
<text>sample string 6</text>
<url>sample string 5</url>
</Result>